## cvector 1.0.3

=== Makefile ===
#
#  Makefile
#  CVector
#
#  Created by Herbert J. Bernstein on 12/03/08.
#  Copyright 2008 Herbert J. Bernstein. All rights reserved.
#  rev 13 Jan 09 -- HJB
#
#


#**********************************************************************
#*                                                                    *
#* YOU MAY REDISTRIBUTE THE CVector API UNDER THE TERMS OF THE LGPL   *
#*                                                                    *
#**********************************************************************/

#************************* LGPL NOTICES *******************************
#*                                                                    *
#* This library is free software; you can redistribute it and/or      *
#* modify it under the terms of the GNU Lesser General Public         *
#* License as published by the Free Software Foundation; either       *
#* version 2.1 of the License, or (at your option) any later version. *
#*                                                                    *
#* This library is distributed in the hope that it will be useful,    *
#* but WITHOUT ANY WARRANTY; without even the implied warranty of     *
#* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU  *
#* Lesser General Public License for more details.                    *
#*                                                                    *
#* You should have received a copy of the GNU Lesser General Public   *
#* License along with this library; if not, write to the Free         *
#* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,    *
#* MA  02110-1301  USA                                                *
#*                                                                    *
#**********************************************************************/

# Version string
VERSION = 2:0:0
RELEASE = 1.0.3


#
# Compiler and compilation flags
#
CC	= gcc
ifneq ($(MSYSTEM),MINGW32)
CFLAGS  = -g -O2  -Wall -ansi -pedantic
else
CFLAGS  = -g -O2 -Wall
endif


#
# libtool path if system default is not suitable
#
#LIBTOOL = $(HOME)/bin/libtool
ifndef LIBTOOL
  LIBTOOL = libtool
endif

#
# If local headers must be quoted uncomment the next line
#
#USE_LOCAL_HEADERS = 1


#
# Directories
#
ROOT     = .
LIB      = $(ROOT)/lib
BIN      = $(ROOT)/bin
SRC      = $(ROOT)
INC      = $(ROOT)
EXAMPLES = $(ROOT)
TESTDATA = $(ROOT)
ifndef INSTALL_PREFIX
INSTALL_PREFIX = /usr/local
#INSTALL_PREFIX  = $(HOME)
endif

#
# Include directories
#
ifdef USE_LOCAL_HEADERS
INCLUDES = -DUSE_LOCAL_HEADERS
else
INCLUDES = -I$(INC)
endif

COMPILE_COMMAND        =  $(LIBTOOL) --mode=compile $(CC) $(CFLAGS) $(INCLUDES) $(WARNINGS) -c
LIBRARY_LINK_COMMAND   =  $(LIBTOOL) --mode=link  $(CC) -version-info $(VERSION) -release $(RELEASE) -no-undefined -rpath $(INSTALL_PREFIX)/lib
BUILD_COMMAND_LOCAL    =  $(LIBTOOL) --mode=link $(CC) $(CFLAGS) $(INCLUDES)
BUILD_COMMAND_DYNAMIC  =  $(LIBTOOL) --mode=link $(CC) $(CFLAGS) -shared -I $(INSTALL_PREFIX)/include
BUILD_COMMAND_STATIC   =  $(LIBTOOL) --mode=link $(CC) $(CFLAGS) -static -I $(INSTALL_PREFIX)/include
INSTALL_COMMAND        =  $(LIBTOOL) --mode=install cp
INSTALL_FINISH_COMMAND =  $(LIBTOOL) --mode=finish

OBJ_EXT                =  lo
LIB_EXT                =  la

######################################################################
#  You should not need to make modifications below this line         #
######################################################################

#
# Suffixes of files to be used or built
#
.SUFFIXES:	.c .$(OBJ_EXT) .$(LIB_EXT)

#
# Common dependencies
#
COMMONDEP = Makefile

#
# Source files
#
SOURCE   =  $(SRC)/CVector.c

#
# Header files
#
HEADERS   =  $(INC)/CVector.h

# Default: instructions
#
default:
	@echo ' '
	@echo '***************************************************************'
	@echo ' '
	@echo ' PLEASE READ README_CVector.txt and lgpl.txt'
	@echo ' '
	@echo ' Before making the CVector library and example programs, check'
	@echo ' that the chosen settings are correct'
	@echo ' '
	@echo ' The current compile command is:'
	@echo ' '
	@echo '   $(COMPILE_COMMAND)'
	@echo ' '
	@echo ' The current library link command is:'
	@echo ' '
	@echo '   $(LIBRARY_LINK_COMMAND)'
	@echo ' '
	@echo ' The current library local, dynamic and static build commands are:'
	@echo ' '
	@echo '   $(BUILD_COMMAND_LOCAL)'
	@echo '   $(BUILD_COMMAND_DYNAMIC)'
	@echo '   $(BUILD_COMMAND_STATIC)'
	@echo ' '
	@echo ' Before installing the CVector library and example programs, check'
	@echo ' that the install directory and install commands are correct:'
	@echo ' '
	@echo ' The current values are :'
	@echo ' '
	@echo '   $(INSTALL_PREFIX) '	
	@echo '   $(INSTALL_COMMAND) '	
	@echo '   $(INSTALL_FINISH) '	
	@echo ' '
	@echo ' To compile the CVector library and example programs type:'
	@echo ' '
	@echo '   make clean'
	@echo '   make all'
	@echo ' '
	@echo ' To run a set of tests type:'
	@echo ' '
	@echo '   make tests'
	@echo ' '
	@echo ' To clean up the directories type:'
	@echo ' '
	@echo '   make clean'
	@echo ' '
	@echo ' To install the library and binaries type:'
	@echo ' '
	@echo '   make install'
	@echo ' '
	@echo '***************************************************************'
	@echo ' '

#
# Compile the library and examples
#
all:	$(LIB) $(BIN) $(SOURCE) $(HEADERS) \
		$(LIB)/libCVector.$(LIB_EXT) \
		$(BIN)/CVectorBasicTest
		
install:  all $(INSTALL_PREFIX) $(INSTALL_PREFIX)/lib $(INSTALL_PREFIX)/include \
          $(INC) $(LIB)/libCVector.$(LIB_EXT)  $(INC)/CVector.h
		  $(INSTALL_COMMAND) $(LIB)/libCVector.$(LIB_EXT) $(INSTALL_PREFIX)/lib/libCVector.$(LIB_EXT)
		  $(INSTALL_FINISH_COMMAND) $(INSTALL_PREFIX)/lib/libCVector.$(LIB_EXT)
		  -cp $(INSTALL_PREFIX)/include/CVector.h $(INSTALL_PREFIX)/include/CVector_old.h
		  cp $(INC)/CVector.h $(INSTALL_PREFIX)/include/CVector.h
		  chmod 644 $(INSTALL_PREFIX)/include/CVector.h
		  echo "Testing final install dynamic"
		  $(BUILD_COMMAND_DYNAMIC)  $(EXAMPLES)/CVectorBasicTest.c \
		  -L$(INSTALL_PREFIX)/lib -lCVector -o $(BIN)/CVectorBasicTest_dynamic
		  $(BIN)/CVectorBasicTest_dynamic > $(TESTDATA)/CVectorBasicTest_dynamic.lst
		  diff -b -c $(TESTDATA)/CVectorBasicTest_orig.lst \
		    $(TESTDATA)/CVectorBasicTest_dynamic.lst
		  echo "Testing final install static"
		  $(BUILD_COMMAND_STATIC) $(EXAMPLES)/CVectorBasicTest.c \
		  -L$(INSTALL_PREFIX)/lib -lCVector -o $(BIN)/CVectorBasicTest_static
		  $(BIN)/CVectorBasicTest_static > $(TESTDATA)/CVectorBasicTest_static.lst
		  diff -b -c $(TESTDATA)/CVectorBasicTest_orig.lst \
		    $(TESTDATA)/CVectorBasicTest_static.lst
			
		  
		  
#
# Directories
#
$(INSTALL_PREFIX):
	mkdir -p $(INSTALL_PREFIX)

$(INSTALL_PREFIX)/lib:  $(INSTALL_PREFIX)
	mkdir -p $(INSTALL_PREFIX)/lib

$(INSTALL_PREFIX)/bin:  $(INSTALL_PREFIX)
	mkdir -p $(INSTALL_PREFIX)/bin

$(INSTALL_PREFIX)/include:  $(INSTALL_PREFIX)
	mkdir -p $(INSTALL_PREFIX)/include
	

$(LIB):
	mkdir $(LIB)

$(BIN):
	mkdir $(BIN)

#
# CVector library
#
$(LIB)/libCVector.$(LIB_EXT): $(SOURCE) $(HEADERS) $(COMMONDEP)
	$(COMPILE_COMMAND) -c $(SOURCE)
	$(LIBRARY_LINK_COMMAND) -o $(LIB)/libCVector.$(LIB_EXT) *.$(OBJ_EXT) 

#
# CVectorBasicTest example program
#
$(BIN)/CVectorBasicTest: $(LIB)/libCVector.$(LIB_EXT) $(EXAMPLES)/CVectorBasicTest.c 
	$(BUILD_COMMAND_LOCAL) $(EXAMPLES)/CVectorBasicTest.c $(LIB)/libCVector.$(LIB_EXT) \
		      -o $@

#
# Tests
#
tests:		$(LIB) $(BIN) $(BIN)/CVectorBasicTest \
				$(TESTDATA)/CVectorBasicTest_orig.lst
			$(BIN)/CVectorBasicTest > $(TESTDATA)/CVectorBasicTest.lst
			diff -b -c $(TESTDATA)/CVectorBasicTest_orig.lst \
				$(TESTDATA)/CVectorBasicTest.lst

#
# Remove all non-source files
#
empty:
		  @-rm -rf $(LIB)
		  @-rm -rf $(BIN)
		  @-rm -f $(TESTDATA)/CVectorBasicTest.lst
		  
#
# Remove temporary files
#
clean:
	@-rm -f core 
	@-rm -f *.o
	@-rm -f *.$(OBJ_EXT)
	@-rm -f *.c.*
	@-rm -rf .libs


#
# Restore to distribution state
#
distclean:	clean empty

## cvector 1.0.3.1

=== debian/changelog ===
cvector (1.0.3.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761741.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:19:44 +0000

cvector (1.0.3.1-1) unstable; urgency=low

  * New upstream version.
  * Use source format 3.0 (quilt).
  * Use debhelper compat level 9 for hardening flags.
  * Override hardening-no-fortify-functions lintian test.
  * Use gdp for patch management.
  * New patch: makefile
    - Pick up (hardening) build flags from environment.
    - Remove test files in clean target.
    - Use a variable for library installation path to
      allow multiarch support
  * Use multiarch library paths.
  * control:
    - Upgrade to standards-version 3.9.4.
    - Improve descriptions to please lintian.
    - Remove duplicate Section to please lintian.
    - Dedup short descriptions to please lintian.
  * Add a symbols-file for libcvector2.
  * copyright: Use the latest format, update years.

 -- Teemu Ikonen <tpikonen@gmail.com>  Sat, 25 May 2013 15:00:14 +0200

cvector (1.0.3-1) unstable; urgency=low

  * Initial release (Closes: #550852)

 -- Teemu Ikonen <tpikonen@gmail.com>  Tue, 24 Nov 2009 14:25:47 +0100

=== debian/control ===
Source: cvector
Priority: extra
Section: libs
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Teemu Ikonen <tpikonen@gmail.com>
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/cvector.git
Vcs-Git: http://git.debian.org/git/debian-science/packages/cvector.git
Homepage: http://sourceforge.net/projects/cvector/
Build-Depends: debhelper (>= 9), libtool, libtool-bin
Standards-Version: 3.9.4

Package: libcvector2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcvector2 (= ${binary:Version}), ${misc:Depends}
Description: ANSI C implementation of dynamic arrays (development files)
 CVector is an ANSI C library which implements dynamic arrays
 approximating the functionality of the C++ vector class. It provides
 functions to create and manipulate an abstract vector container.
 Vector elements can be of any datatype.
 .
 This package contains files needed for compiling programs using CVector.

Package: libcvector2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ANSI C implementation of dynamic arrays
 CVector is an ANSI C library which implements dynamic arrays
 approximating the functionality of the C++ vector class. It provides
 functions to create and manipulate an abstract vector container.
 Vector elements can be of any datatype.

=== debian/watch ===
version=3
http://sf.net/cvector/CVector-(.*)\.tar\.gz

## cvector 1.0.4.1

=== CMakeLists.txt ===
######################################################################
#  CMakeLists.txt - cmake build file to create CVector               #
#                                                                    #
# Version 1.0.4 26 November 2014                                     #
# Rev 23 November 2014                                               #
#                                                                    #
#                Herbert J. Bernstein (yayahjb@gmail.com)            #
#                                                                    #
# (C) Copyright 2008 - 2014 Herbert J. Bernstein                     #
#                                                                    #
######################################################################

######################################################################
#                                                                    #
# YOU MAY REDISTRIBUTE THE CVector API UNDER THE TERMS OF THE LGPL  #
#                                                                    #
######################################################################

######################################################################
#                                                                    #
# This library is free software; you can redistribute it and/or      #
# modify it under the terms of the GNU Lesser General Public         #
# License as published by the Free Software Foundation; either       #
# version 2.1 of the License, or (at your option) any later version. #
#                                                                    #
# This library is distributed in the hope that it will be useful,    #
# but WITHOUT ANY WARRANTY; without even the implied warranty of     #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU  #
# Lesser General Public License for more details.                    #
#                                                                    #
# You should have received a copy of the GNU Lesser General Public   #
# License along with this library; if not, write to the Free         #
# Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,    #
# MA  02110-1301  USA                                                #
#                                                                    #
######################################################################

cmake_minimum_required (VERSION 2.8.7)

project (CVector C)
set(CV_APIVERS,"2.0.0")

#
# Environment Variables
#
set(CV_USE_LOCAL_HEADERS_ENV $ENV{CV_USE_LOCAL_HEADERS})

if (CV_USE_LOCAL_HEADERS_ENV STREQUAL "YES")
  set(COMPILE_DEFINITIONS "USE_LOCAL_HEADERS=1")
endif (CV_USE_LOCAL_HEADERS_ENV STREQUAL "YES")

#
# Directories
#

#
# Directories on the kit side
#
set(CV__SRC       "${CVector_SOURCE_DIR}" )
set(CV__INCLUDE   "${CVector_SOURCE_DIR}" )
set(CV__EXAMPLES  "${CVector_SOURCE_DIR}" )
set(CV__TESTDATA  "${CVector_SOURCE_DIR}" )

#
# Directories on the build side
#
set(CV__BIN       "${CVector_BINARY_DIR}/bin" )
set(CV__LIB       "${CVector_BINARY_DIR}/lib" )

#
# CV_REQUIRE_DIRECTORY -- require directory dir
#
macro(CV_REQUIRE_DIRECTORY dir)
  if (NOT EXISTS "${dir}")
    file(MAKE_DIRECTORY "${dir}")
    CBF_DEBUG_MESSAGE("Created directory ${dir}")
  endif (NOT EXISTS "${dir}")
endmacro(CV_REQUIRE_DIRECTORY)

CV_REQUIRE_DIRECTORY(${CV__BIN})
CV_REQUIRE_DIRECTORY(${CV__LIB})

#
# Source files
#
set(
    CV_C_SOURCES
    ${CV__SRC}/CVector.c 
)


set(
    CV_HEADERS
    ${CV__INCLUDE}/CVector.h
)

# Set up the necessary includes

include_directories(
	BEFORE SYSTEM
        ${CV__INCLUDE}
)

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CV__BIN}")

#
#  Build the static and shared CVector libraries
#

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CV__LIB}")
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CV__LIB}")
add_library(CV_static STATIC ${CV__SRC}/CVector.c)
set_target_properties(CV_static PROPERTIES OUTPUT_NAME "CVector")
set_target_properties(CV_static PROPERTIES LINKER_LANGUAGE C)
set_target_properties(CV_static PROPERTIES SOVERSION "${CV_APIVERSION}")
set(CV_STATIC_LIBRARY_PATH ${CV__LIB}/libCVector${CMAKE_STATIC_LIBRARY_SUFFIX})


set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CV__LIB}")
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CV__LIB}")
add_library(CV_shared SHARED  ${CV__SRC}/CVector.c)
set_target_properties(CV_shared PROPERTIES OUTPUT_NAME "CVector")
set_target_properties(CV_shared PROPERTIES LINKER_LANGUAGE C)
set_target_properties(CV_shared PROPERTIES SOVERSION "${CV_APIVERSION}")
set(CV_SHARED_LIBRARY_PATH ${CV__LIB}/libCVector.${CMAKE_SHARED_LIBRARY_SUFFIX})


#
#  C examples
#

# Note: to add a target with multiple sources/dependencies/libraries you must pass a list
# separated by semicolons for the appropriate parameter.
# Note: the math library should be linked in by appending ';m' to the library list here
macro(add_target target source dependencies libraries)
	add_executable(${target} ${source})
	add_dependencies(${target} ${dependencies})
	target_link_libraries(${target} ${libraries})
endmacro()


add_executable(CVectorBasicTest "${CV__EXAMPLES}/CVectorBasicTest.c")
set_target_properties(CVectorBasicTest PROPERTIES LINK_LIBRARIES CV_static)

#
# install
#

install (TARGETS CVectorBasicTest DESTINATION bin)
install (TARGETS CV_static DESTINATION lib)
install (TARGETS CV_shared DESTINATION lib)

#
# test
#
enable_testing()
add_test(CVectorBasicTest ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/CVectorBasicTest CVectorBasicTest.lst)
add_test(cmp-CVectorBasicTest_orig.lst-CVectorBasicTest.lst ${CMAKE_COMMAND} -E compare_files ${CV__TESTDATA}/CVectorBasicTest_orig.lst CVectorBasicTest.lst)

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 
 # Version string
 VERSION = 2:0:0
-RELEASE = 1.0.3
+RELEASE = 1.0.4
 
 
 #

=== debian/changelog ===
cvector (1.0.4.1-2) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 05 Dec 2021 22:28:40 +0100

cvector (1.0.4.1-1) unstable; urgency=medium

  * New upstream version.
  * control:
    - Change priority to optional
    - Point Vcs-* fields to salsa
    - Point Homepage to the upstream github repository
    - Build-dep on debhelper 11~
    - Set standards-version to 4.2.1
    - Build-dep on libtool-bin
    - Remove SONAME number from -dev pkg, libcvector2-dev -> libcvector-dev
  * Set debhelper compat to 11.
  * rules: Use hardening flags.
  * copyright: Use HTTPS URL for format, update years.
  * Add debian/source/local-options with abort-on-upstream-changes.
  * Remove lintian-overrides.
  * Remove *.dirs files.
  * watch: Check new releases from github.

 -- Teemu Ikonen <tpikonen@gmail.com>  Tue, 16 Oct 2018 10:39:32 +0300

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: cvector
-Priority: extra
+Priority: optional
 Section: libs
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Teemu Ikonen <tpikonen@gmail.com>
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/cvector.git
-Vcs-Git: http://git.debian.org/git/debian-science/packages/cvector.git
-Homepage: http://sourceforge.net/projects/cvector/
-Build-Depends: debhelper (>= 9), libtool, libtool-bin
-Standards-Version: 3.9.4
+Vcs-Browser: https://salsa.debian.org/science-team/cvector
+Vcs-Git: https://salsa.debian.org/science-team/cvector.git
+Homepage: https://github.com/yayahjb/cvector
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13), libtool-bin
+Standards-Version: 4.6.0
 
-Package: libcvector2-dev
+Package: libcvector-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libcvector2 (= ${binary:Version}), ${misc:Depends}
+Conflicts: libcvector2-dev
+Replaces: libcvector2-dev
 Description: ANSI C implementation of dynamic arrays (development files)
  CVector is an ANSI C library which implements dynamic arrays
  approximating the functionality of the C++ vector class. It provides

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export INSTALL_LIB := lib/$(DEB_HOST_MULTIARCH)

%:
	dh  $@

=== debian/watch ===
version=4

https://github.com/yayahjb/cvector/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
